import request from '@/utils/request'

// 查询常用术语(知识库)列表
export function listBank(query) {
    return request({
        url: '/system/bank/list',
        method: 'get',
        params: query
    })
}
export function selectTermBankList(query) {
    return request({
        url: '/system/bank/selectTermBankList',
        method: 'get',
        params: query
    })
}


// 查询常用术语(知识库)详细
export function getBank(id) {
    return request({
        url: '/system/bank/' + id,
        method: 'get'
    })
}

// 新增常用术语(知识库)
export function addBank(data) {
    return request({
        url: '/system/bank/add',
        method: 'post',
        data: data
    })
}

// 修改常用术语(知识库)
export function updateBank(data) {
    return request({
        url: '/system/bank/edit',
        method: 'put',
        data: data
    })
}

// 删除常用术语(知识库)
export function delBank(id) {
    return request({
        url: '/system/bank/' + id,
        method: 'delete'
    })
}
